﻿* Encoding: UTF-8.

*==============================================================================*
* TÍTULO DE LA SINTAXIS:*
* Sintaxis de Tabulados 
* OPERACIÓN ESTADÍSTICA:*
* Nacidos Vivos, Año 2019 (ENV - 2019)*
* UNIDAD TÉCNICA RESPONSABLE:*
* Unidad de Gestión de Estadísticas Sociodemográficas en Base a Registros Administrativos*
* Dirección Estadísticas Sociodemográficas (DIES) *
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadística y Censos (INEC) *
*==============================================================================*
* Fecha última modificación: Agosto de 2019*
*==============================================================================*
* Elaborado por:* 
* Unidad de Gestión de Estadísticas Sociodemográficas en Base a Registros Administrativos (GESRA) *
* Instituto Nacional de Estadística y Censos (INEC)*
*==============================================================================*
* Revisado por: *
* Jefe de la Unidad de Gestión de Estadísticas Sociodemográficas en Base a Registros Administrativos (GESRA) *
* Responsable de la Unidad de Gestión de Estadísticas Sociodemográficas en Base a Registros Administrativos (GESRA) * *
* Instituto Nacional de Estadística y Censos (INEC)*
*==============================================================================*
*==============================================================================*
* Descripción:
* 1. Correr la programación en spss.
* 2. La presente sintaxis está diseñada para generar y crear las variables necesarias para la elaboración de los cuadros estadísticos del Anuario de Nacimientos
 *==============================================================================*
*Sintaxis de Tabulados Nacidos Vivos, Año 2019 (ENV - 2019)*
*==============================================================================*

****** Cuadro No. 3.1.1
*: Nacidos Vivos, por Áreas y Sexo, según región y provincia de Residencia Habitual de la Madre

compute t=1.
execute.

NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res= 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
exe.



* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

VALUE LABELS
t       1 ' '
/reg_res  
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior' .

EXECUTE.


USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

compute t=1.

var label
t      'Total'.

* realizar el cuadro o cuadros
* -----------------------------.
TABLES
/TABLE (t + reg_res) > (t + prov_res) by (t + area_res) > (t+sexo)
/TITLE 'Cuadro No. 3.1.1 Nacidos Vivos, por Áreas y Sexo, según región y provincia de Residencia Habitual de la Madre'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.

execute.


***** CUADRO 3.1.2 .
*: Nacidos Vivos, por Áreas y Tipo de Asistencia, según región y provincia de Residencia Habitual de la Madre


USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

compute t=1.

NUMERIC asis(f2.0).
if(asis_por >= 1 and asis_por <= 3) asis = 1.
if(asis_por >= 4 and asis_por <= 7) asis = 2.
if(asis_por = 9) asis = 3.
execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value label
/asis  1 'Con asistencia profesional'
	2 'Sin asistencia profesional'
3 'Sin información'
.

var label
t      'Total'
asis  'Tipo de asistencia'.

* realizar el cuadro o cuadros
* -----------------------------.
TABLES
/TABLE (t + reg_res) > (t + prov_res) by (t + area_res) > (t+asis)
/TITLE 'Cuadro No. 3.1.2 Nacidos Vivos, por Áreas y Tipo de Asistencia, según región y provincia de Residencia Habitual de la Madre'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.


***** CUADRO 3.1.3.
*: Nacidos Vivos, por Sexo y Tipo de Asistencia, según región, provincia y Cantones de Residencia Habitual de la Madre

USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
numeric t (F1.0).

compute t=1.
execute.

NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res= 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
exe.



* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

VALUE LABELS
t       1 ' '
/reg_res  
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior' .


NUMERIC asis(f2.0).
if(asis_por >= 1 and asis_por <=3) asis = 1.
if(asis_por >= 4 and asis_por <= 7) asis = 2.
if(asis_por = 9) asis = 3.
execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value label
/asis  1 'Con asistencia profesional'
	2 'Sin asistencia profesional'
3 'Sin información'.

var label
t      'Total'
asis  'Tipo de asistencia'.

*Realizar el cuadro o cuadros
* -----------------------------.
TABLES
/TABLE (t + reg_res) > (t + prov_res)  by  (t+sexo) +(asis)>(asis_por)
/TITLE 'Cuadro 3.1.3 Nacidos Vivos, por Sexo y Tipo de Asistencia, según región, provincia de Residencia Habitual de la Madre'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.

TABLES
/TABLE (t + reg_res> prov_res) > (t+cant_res) by  (t+sexo) +(asis)>(asis_por)
/TITLE 'Cuadro 3.1.3 Nacidos Vivos, por Sexo y Tipo de Asistencia, según región, provincia de Residencia Habitual de la Madre'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.

filter off.

****** CUADRO 3.1.4.
*: Nacidos Vivos, por Tipo de Atención, de Madre Residente y No Residente, según región, provincia y Cantonces de Nacimiento.

USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

compute t=1.

NUMERIC reg_nac (f2.0).
if (prov_nac >= "01" and prov_nac <= "06") reg_nac= 1.
if (prov_nac >= "10" and prov_nac <= "11") reg_nac= 1.
if (prov_nac>= "17" and prov_nac <= "18") reg_nac= 1.
if (prov_nac = "23") reg_nac= 1.
if (prov_nac >= "07" and prov_nac <= "09") reg_nac = 2.
if (prov_nac >= "12" and prov_nac <= "13") reg_nac = 2.
if (prov_nac = "24") reg_nac= 2.
if (prov_nac >= "14" and prov_nac <= "16") reg_nac = 3.
if (prov_nac = "19") reg_nac= 3.
if (prov_nac >= "21" and prov_nac <= "22") reg_nac = 3.
if (prov_nac = "20") reg_nac= 4.
if (prov_nac = "90") reg_nac= 5.
if (prov_nac = "88") reg_nac= 6.
execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value labels
/reg_nac
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior'.

var label
t      'Total' .


NUMERIC asis(f2.0).
if(asis_por >= 1 and asis_por <=3) asis = 1.
if(asis_por >= 4 and asis_por <= 7) asis = 2.
if(asis_por = 9) asis = 3.
exe.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value label
/asis  1 'Con asistencia profesional'
	2 'Sin asistencia profesional'
3 'Sin información'
.

var label
t      'Total'
asis  'Tipo de asistencia'.

* realizar el cuadro o cuadros
* -----------------------------.
TABLES
/TABLE (t + reg_nac) > (t+ prov_nac) by (t+asis)> (t+residente)
/TITLE 'Cuadro No. 3.1.4 Nacidos Vivos, por Tipo de Atención, de Madre Residente y No Residente, según región, provincia y Cantonces de Nacimiento'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.
execute.

TABLES
/TABLE (reg_nac> prov_nac) > (t+cant_nac) by (t+asis)> (t+residente)
/TITLE 'Cuadro No. 3.1.4 Nacidos Vivos, por Tipo de Atención, de Madre Residente y No Residente, según región, provincia y Cantonces de Nacimiento'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.
execute.


***** CUADRO 3.1.5 
*: Nacidos Vivos, por Número de Hijos tenidos por la Madre, según región y provincia de Residencia Habitual de la madre

* realizar el cuadro o cuadros

USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res= 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
exe.



* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

VALUE LABELS
t       1 ' '
/reg_res  
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior' .

compute t=1.

NUMERIC hvivos(f2.0).
if (hij_viv= 1) hvivos=1.
if (hij_viv= 2) hvivos=2.
if (hij_viv= 3) hvivos=3.
if (hij_viv= 4) hvivos=4.
if (hij_viv = 5) hvivos=5.
if (hij_viv = 6) hvivos=6.
if (hij_viv = 7) hvivos=7.
if (hij_viv = 8) hvivos=8.
if (hij_viv = 9) hvivos=9.
if (hij_viv >=10) hvivos=10.

execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value label
t       1 ' '
/hvivos 1 '1'
2 '2'
3 '3'
4 '4'
5 '5'
6 '6'
7 '7'
8 '8'
9 '9'
10 '10 y mas'
.

var label
/hvivos 'Número de Hijos Vivos' .
t      'Total' .

* realizar el cuadro o cuadros*

TABLES
/TABLE (t + reg_res) > (t+prov_res) by (t + hvivos)
/TITLE 'Cuadro No. 3.1.5 Nacidos Vivos, por Número de Hijos tenidos por la Madre, según región y provincia de Residencia Habitual de la madre'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.

execute.


***** CUADRO 3.1.6 
*: Cuadro No.3.1.6 Nacidos Vivos, por Número de Hijos tenidos por la Madre, según región de Residencia Habitual y Grupos de Edad de la misma
*----------------------------------------------------------------------------------------------------------------------------.


USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res= 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
exe.



* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

VALUE LABELS
t       1 ' '
/reg_res  
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior' .


compute t=1.

NUMERIC edadm(f2.0).

if(edad_mad< 15) edadm=1.
if(edad_mad>=15 and edad_mad<=19) edadm=2.
if(edad_mad>=20 and edad_mad<=24) edadm=3.
if(edad_mad>=25 and edad_mad<=29) edadm=4.
if(edad_mad>=30 and edad_mad<=34) edadm=5.
if(edad_mad>=35 and edad_mad<=39) edadm=6.
if(edad_mad>=40 and edad_mad<=44) edadm=7.
if(edad_mad>=45 and edad_mad<=49) edadm=8.
if(edad_mad>=50 and edad_mad<>99) edadm=9.
if(edad_mad = 99 ) edadm=10.

execute.

NUMERIC hvivos(f2.0).
if (hij_viv= 1) hvivos=1.
if (hij_viv= 2) hvivos=2.
if (hij_viv= 3) hvivos=3.
if (hij_viv= 4) hvivos=4.
if (hij_viv = 5) hvivos=5.
if (hij_viv = 6) hvivos=6.
if (hij_viv = 7) hvivos=7.
if (hij_viv = 8) hvivos=8.
if (hij_viv = 9) hvivos=9.
if (hij_viv >=10) hvivos=10.

execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value label
t       1 ' '
/hvivos 1 '1'
2 '2'
3 '3'
4 '4'
5 '5'
6 '6'
7 '7'
8 '8'
9 '9'
10 '10 y mas'
.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value labels
/edadm 
1 'Menos de 15 años'
2 'De 15 a 19 años'
3 'De 20 a 24 años'
4 'De 25 a 29 años'
5 'De 30 a 34 años'
6 'De 35 a 39 años'
7 'De 40 a 44 años'
8 'De 45 a 49 años'
9 'De 50 años y más'
10 'Sin información'.

* realizar el cuadro o cuadros
* -----------------------------.

TABLES
/TABLE (t + reg_res) > (t + edadm ) by (t + hvivos)
/TITLE 'Cuadro No.3.1.6 Nacidos Vivos, por Número de Hijos tenidos por la Madre, según región de Residencia Habitual y Grupos de Edad de la misma'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.
execute.


***** CUADRO 3.1.7 .
*.Nacidos Vivos, por Grupos de Edad de la Madre y Sexo del Nacido Vivo, según región, provincia y Áreas de Residencia Habitual de la Madre.
*----------------------------------------------------------------------------------------------------------------------------.


USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res= 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
exe.



* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

VALUE LABELS
t       1 ' '
/reg_res  
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior' .


compute t=1.


NUMERIC edadm(f2.0).

if(edad_mad< 15) edadm=1.
if(edad_mad>=15 and edad_mad<=19) edadm=2.
if(edad_mad>=20 and edad_mad<=24) edadm=3.
if(edad_mad>=25 and edad_mad<=29) edadm=4.
if(edad_mad>=30 and edad_mad<=34) edadm=5.
if(edad_mad>=35 and edad_mad<=39) edadm=6.
if(edad_mad>=40 and edad_mad<=44) edadm=7.
if(edad_mad>=45 and edad_mad<=49) edadm=8.
if(edad_mad>=50 and edad_mad<>99) edadm=9.
if(edad_mad = 99 ) edadm=10.

execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value labels
/edadm 
1 'Menos de 15 años'
2 'De 15 a 19 años'
3 'De 20 a 24 años'
4 'De 25 a 29 años'
5 'De 30 a 34 años'
6 'De 35 a 39 años'
7 'De 40 a 44 años'
8 'De 45 a 49 años'
9 'De 50 años y más'
10 'Sin información'.

* realizar el cuadro o cuadros
* -----------------------------.

TABLES
/TABLE (t + reg_res) by (t + edadm) > (t + sexo)
/TITLE 'Cuadro No. 3.1.7 Nacidos Vivos, por Grupos de Edad de la Madre y Sexo del Nacido Vivo,'
          'según región, provincia y Áreas de Residencia Habitual de la Madre'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER 'Regiones, provincia y Área '.
execute.

TABLES
/TABLE (t+reg_res > prov_res) > (t + area_res) by (t + edadm)>(t+sexo)
/TITLE 'Cuadro No. 3.1.7 Nacidos Vivos, por Grupos de Edad de la Madre y Sexo del Nacido Vivo,'
          'según región, provincia y Áreas de Residencia Habitual de la Madre'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER 'Regiones, provincia y Área '.
execute.


***** CUADRO 3.1.8.
*: Nacidos Vivos, por Tipo de Nacimiento, según región y provincia de Residencia Habitual de la Madre
*----------------------------------------------------------------------------------------------------------------------------.

USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res= 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
exe.

compute t=1.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

VALUE LABELS
t       1 ' '
/reg_res  
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior' .



* realizar el cuadro o cuadros
* -----------------------------.

TABLES
/TABLE (t + reg_res) > (t + prov_res) by (t + p_emb)
/TITLE 'Cuadro No. 3.1.8 Nacidos Vivos, por Tipo de Nacimiento, según región y provincia de Residencia Habitual de la Madre'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER 'Regiones provincia '.
execute.

***** CUADRO 3.1.9 .
*: Nacidos Vivos, por Mes de Ocurrencia, según provincia de Residencia Habitual de la Madre y Sexo del Nacido Vivo
*----------------------------------------------------------------------------------------------------------------------------.


USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res= 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
exe.

compute t=1.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

VALUE LABELS
t       1 ' '
/reg_res  
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior' .



* Realizar el cuadro o cuadros
* -----------------------------.
TABLES
/TABLE (t + reg_res>prov_res) >(t + sexo) by (t + mes_nac)
/TITLE 'Cuadro No. 3.1.9 Nacidos Vivos, por Mes de Ocurrencia, según provincia de Residencia Habitual de la Madre y Sexo del Nacido Vivo'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER 'provincia y sexo '.

TABLES
/TABLE  (t + reg_res)>(t + sexo) by (t + mes_nac)
/TITLE 'Cuadro No. 3.1.9 Nacidos Vivos, por Mes de Ocurrencia, según provincia de Residencia Habitual de la Madre y Sexo del Nacido Vivo'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER 'provincia y sexo '.
execute.


***** CUADRO 3.1.10 .
*: Nacidos Vivos, por Nivel de Instrucción de la Madre, según provincia de Residencia Habitual de la Madre y Tipos de Asistencia
*----------------------------------------------------------------------------------------------------------------------------.

USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res= 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
exe.

compute t=1.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

VALUE LABELS
t       1 ' '
/reg_res  
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior' .


NUMERIC asis(f2.0).
if(asis_por >= 1 and asis_por <=3) asis = 1.
if(asis_por >= 4 and asis_por <= 7) asis = 2.
if(asis_por = 9) asis = 3.
execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value label
/asis  1 'Con asistencia profesional'
	2 'Sin asistencia profesional'
3 'Sin información'
.

var label
t      'Total'
asis  'Tipo de asistencia'.




* realizar el cuadro o cuadros
* -----------------------------.

TABLES
/TABLE (t + reg_res)>(t + asis) by (t + niv_inst)
/TITLE 'Cuadro No. 3.1.10 Nacidos Vivos, por Nivel de Instrucción de la Madre, según provincia de Residencia Habitual de la Madre y Tipos de Asistencia'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER 'provincia y tipo de asistencia'.


TABLES
/TABLE (t + reg_res>prov_res)>(t + asis) by (t + niv_inst)
/TITLE 'Cuadro No. 3.1.10 Nacidos Vivos, por Nivel de Instrucción de la Madre, según provincia de Residencia Habitual de la Madre y Tipos de Asistencia'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER 'provincia y tipo de aistencia '.
execute.


*: CUADRO 3.1.11 .
*: Nacidos Vivos, por Número de Hijos tenidos por la Madre, según región de Residencia Habitual y Nivel de Instrucción de la misma
*----------------------------------------------------------------------------------------------------------------------------.


USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res= 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
exe.

compute t=1.

NUMERIC hvivos(f2.0).
if (hij_viv= 1) hvivos=1.
if (hij_viv= 2) hvivos=2.
if (hij_viv= 3) hvivos=3.
if (hij_viv= 4) hvivos=4.
if (hij_viv = 5) hvivos=5.
if (hij_viv = 6) hvivos=6.
if (hij_viv = 7) hvivos=7.
if (hij_viv = 8) hvivos=8.
if (hij_viv = 9) hvivos=9.
if (hij_viv >=10) hvivos=10.

execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value label
t       1 ' '
/hvivos 1 '1'
2 '2'
3 '3'
4 '4'
5 '5'
6 '6'
7 '7'
8 '8'
9 '9'
10 '10 y mas'
.
* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

VALUE LABELS
t       1 ' '
/reg_res  
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior' .


TABLES
/TABLE (t + reg_res) > (t + niv_inst) by (t + hvivos)
/TITLE 'Cuadro No. 3.1.11 Nacidos Vivos, por Número de Hijos tenidos por la Madre, según región de Residencia Habitual y Nivel de Instrucción de la misma'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.
execute.


***** Cuadro No. 3.1.12
* Nacidos Vivos, por Pertenencia Étnica de la Madre, según región y provincia de Residencia Habitual de la Madre
*----------------------------------------------------------------------------------------------------------------------------.



COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res= 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
exe.


compute t=1.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

VALUE LABELS
t       1 ' '
/reg_res  
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior' .
var label
t      'Total'.

* realizar el cuadro o cuadros

TABLES
/TABLE (t + reg_res) > (t + prov_res) by (t + etnia)
/TITLE 'Cuadro No. 3.1.12 Nacidos Vivos, por Pertenencia Étnica de la Madre, según región y provincia de Residencia Habitual de la Madre'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.
execute.


***** Cuadro No. 3.1.13
*: Nacidos Vivos, por Estado Civil de la Madre, según región y provincia de Residencia Habitual de la Madre
*----------------------------------------------------------------------------------------------------------------------------.


USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res= 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
exe.

compute t=1.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

VALUE LABELS
t       1 ' '
/reg_res  
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior' .

var label
t      'Total'.

* realizar el cuadro o cuadros

TABLES
/TABLE (t + reg_res) > (t +prov_res) by (t + est_civil)
/TITLE 'Cuadro No. 3.1.13 Nacidos Vivos, por Estado Civil de la Madre, según región y provincia de Residencia Habitual de la Madre'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.

***** Cuadro No. 3.1.14
*:  Nacidos vivos, por provincia de nacimiento y sexo del nacido vivo.
*----------------------------------------------------------------------------------------------------------------------------.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

compute t=1.
var label
t      'Total'.

TABLES
/TABLE (t +prov_nac) by (t + sexo)
/TITLE 'Cuadro No. 3.1.14 Nacidos vivos, por provincia de nacimiento y sexo del nacido vivo. Año 2019'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER 'Provincia de nacimiento '.

filter off.

***** Cuadro No. 3.1.15
*: Nacidos vivos,por provincia de nacimiento y provincia de residencia habitual de la madre
*----------------------------------------------------------------------------------------------------------------------------.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

compute t=1.

var label
t      'Total'.

TABLES
/TABLE (t +prov_nac) by (t + prov_res)
/TITLE 'Cuadro No. 3.1.15 Nacidos vivos,por provincia de nacimiento y provincia de residencia habitual de la madre. Año 2019'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER 'Provincia de nacimiento '.

filter off.

***** Cuadro No. 3.1.16
*: Nacidos vivos,por provincia de nacimiento y mes de nacimiento.
*----------------------------------------------------------------------------------------------------------------------------.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

compute t=1.

var label
t      'Total'.

TABLES
/TABLE (t +prov_nac) by (t + mes_nac)
/TITLE 'Cuadro No. 3.1.16 Nacidos vivos,por provincia de nacimiento y mes de nacimiento. Año 2019'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER 'Provincia de nacimiento '.

filter off.

***** Cuadro No. 3.1.17
*: Nacidos Vivos, por lugar de residencia habitual, grupos de edad y nivel de instrucción de la madre
*----------------------------------------------------------------------------------------------------------------------------.
COMPUTE filter_$=(anio_nac = 2019).
USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


compute t=1.

NUMERIC edadm(f2.0).

if(edad_mad< 15) edadm=1.
if(edad_mad>=15 and edad_mad<=19) edadm=2.
if(edad_mad>=20 and edad_mad<=24) edadm=3.
if(edad_mad>=25 and edad_mad<=29) edadm=4.
if(edad_mad>=30 and edad_mad<=34) edadm=5.
if(edad_mad>=35 and edad_mad<=39) edadm=6.
if(edad_mad>=40 and edad_mad<=44) edadm=7.
if(edad_mad>=45 and edad_mad<=49) edadm=8.
if(edad_mad>=50 and edad_mad<>99) edadm=9.
if(edad_mad = 99 ) edadm=10.

execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value labels
/edadm 
1 'Menos de 15 años'
2 'De 15 a 19 años'
3 'De 20 a 24 años'
4 'De 25 a 29 años'
5 'De 30 a 34 años'
6 'De 35 a 39 años'
7 'De 40 a 44 años'
8 'De 45 a 49 años'
9 'De 50 años y más'
10 'Sin información'
.
* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

var label
t      'Total'
edadm  'Edad madre'.

* realizar el cuadro o cuadros
* -----------------------------.

TABLES
/TABLE (t + prov_res)>(t + edadm ) by (t + niv_inst)
/TITLE 'Cuadro No. 3.1.17 Nacidos Vivos, por provincia de residencia habitual, grupos de edad y nivel de instrucción de la madre'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER  'provincia y grupos de edad '.
execute.

filter off.

***** Cuadro No. 3.1.18
*: Nacidos Vivos, por provincia de residencia habitual, grupos de edad y sexo del nacido vivo
*----------------------------------------------------------------------------------------------------------------------------.
COMPUTE filter_$=(anio_nac = 2019).
USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


compute t=1.

NUMERIC edadm(f2.0).

if(edad_mad< 15) edadm=1.
if(edad_mad>=15 and edad_mad<=19) edadm=2.
if(edad_mad>=20 and edad_mad<=24) edadm=3.
if(edad_mad>=25 and edad_mad<=29) edadm=4.
if(edad_mad>=30 and edad_mad<=34) edadm=5.
if(edad_mad>=35 and edad_mad<=39) edadm=6.
if(edad_mad>=40 and edad_mad<=44) edadm=7.
if(edad_mad>=45 and edad_mad<=49) edadm=8.
if(edad_mad>=50 and edad_mad<>99) edadm=9.
if(edad_mad = 99 ) edadm=10.

execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value labels
/edadm 
1 'Menos de 15 años'
2 'De 15 a 19 años'
3 'De 20 a 24 años'
4 'De 25 a 29 años'
5 'De 30 a 34 años'
6 'De 35 a 39 años'
7 'De 40 a 44 años'
8 'De 45 a 49 años'
9 'De 50 años y más'
10 'Sin información'.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

var label
t      'Total'
edadm  'Edad madre'.

* realizar el cuadro o cuadros
* -----------------------------.

TABLES
/TABLE (t + prov_res)>(t + edadm ) by (t + sexo)
/TITLE 'Cuadro No. 3.1.18 Nacidos Vivos, por provincia de residencia habitual, grupos de edad y sexo del nacido vivo'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER  'provincia y grupo de edad '.
execute.

filter off.

***** Cuadro No. 3.1.19
*: Nacidos Vivos, por provincia de nacimiento, lugar de ocurrencia y persona que asistió durante el parto
*----------------------------------------------------------------------------------------------------------------------------.
COMPUTE filter_$=(anio_nac = 2019).
USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

compute t=1.


* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

var label
t      'Total'.


* realizar el cuadro o cuadros
* -----------------------------.

TABLES
/TABLE (t + prov_nac)>(t + lugar_ocur) by (t + asis_por)
/TITLE 'Cuadro No. 3.1.19 Nacidos Vivos, por provincia de nacimiento, lugar de ocurrencia y persona que asistió durante el parto'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' provincia y lugar de ocurrencia'.
execute.

filter off.
 
***** Cuadro No. 3.1.20
*: Nacidos Vivos, por lugar de residencia habitual, semanas de gestación y peso del nacido vivo
*----------------------------------------------------------------------------------------------------------------------------.
COMPUTE filter_$=(anio_nac = 2019).
USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

compute t=1.

NUMERIC semg(f1.0).

if(sem_gest>=21 and sem_gest<=23) semg=1.
if(sem_gest>=24 and sem_gest<=26) semg=2.
if(sem_gest>=27 and sem_gest<=29) semg=3.
if(sem_gest>=30 and sem_gest<=32) semg=4.
if(sem_gest>=33 and sem_gest<=35) semg=5.
if(sem_gest>=36 and sem_gest<=38) semg=6.
if(sem_gest>=39 and sem_gest<=41) semg=7.
if(sem_gest=42) semg=8.
if(sem_gest = 99 ) semg=9.

execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value labels
/semg 
1 'De 21 a 23 semanas'
2 'De 24 a 26 semanas'
3 'De 27 a 29 semanas'
4 'De 30 a 32 semanas'
5 'De 33 a 35 semanas'
6 'De 36 a 38 semanas'
7 'De 39 a 41 semanas'
8 'De 42 semanas'
9 'Sin información'.

NUMERIC pesogrupo(f1.0).

if(peso>=500 and peso<=999) pesogrupo=1.
if(peso>=1000 and peso<=1499) pesogrupo=2.
if(peso>=1500 and peso<=1999) pesogrupo=3.
if(peso>=2000 and peso<=2499) pesogrupo=4.
if(peso>=2500 and peso<=2999) pesogrupo=5.
if(peso>=3000 and peso<=3499) pesogrupo=6.
if(peso>=3500 and peso<=3999) pesogrupo=7.
if(peso>=4000 and peso<=4499) pesogrupo=8.
if(peso>=4500 and peso<=4999) pesogrupo=9.
if(peso = 5000) pesogrupo=10.
if(peso = 99) pesogrupo=11.

execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value labels
/pesogrupo 
1 'De 500 g a 999 g'
2 'De 1000 g a 1499 g'
3 'De 1500 g a 1999 g'
4 'De 2000 g a 2499 g'
5 'De 2500 g a 2999 g'
6 'De 3000 g a 2499 g'
7 'De 3500 g a 3999 g'
8 'De 4000 g a 4499 g'
9 'De 4500 g a 4999 g'
10 'De 5000 g'
11 'Sin información'.

var label	
t      'Total'.

* realizar el cuadro o cuadros
* -----------------------------.

TABLES
/TABLE (t + prov_res)>(t + semg) by (t + pesogrupo)
/TITLE 'Cuadro No. 3.1.20 Nacidos Vivos, por lugar de residencia habitual, semanas de gestación y peso del nacido vivo'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' provincia y semanas de gestación'.
execute.

filter off.

***** Cuadro No. 3.1.21
*: Nacidos Vivos, por lugar de residencia habitual, grupos de edad y promedio de controles prenatales
*----------------------------------------------------------------------------------------------------------------------------.

COMPUTE filter_$=(anio_nac = 2019).
USE ALL.
COMPUTE filter_$=(anio_nac = 2019).
VARIABLE LABEL filter_$ 'anio_nac = 2019 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

NUMERIC edadm(f2.0).

if(edad_mad< 15) edadm=1.
if(edad_mad>=15 and edad_mad<=19) edadm=2.
if(edad_mad>=20 and edad_mad<=24) edadm=3.
if(edad_mad>=25 and edad_mad<=29) edadm=4.
if(edad_mad>=30 and edad_mad<=34) edadm=5.
if(edad_mad>=35 and edad_mad<=39) edadm=6.
if(edad_mad>=40 and edad_mad<=44) edadm=7.
if(edad_mad>=45 and edad_mad<=49) edadm=8.
if(edad_mad>=50 and edad_mad<>99) edadm=9.

execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value labels
/edadm 
1 'Menos de 15 años'
2 'De 15 a 19 años'
3 'De 20 a 24 años'
4 'De 25 a 29 años'
5 'De 30 a 34 años'
6 'De 35 a 39 años'
7 'De 40 a 44 años'
8 'De 45 a 49 años'
9 'De 50 años y más'.

* realizar el cuadro o cuadros
* -----------------------------.
CTABLES
  /VLABELS VARIABLES=prov_res edadm con_pren DISPLAY=LABEL
  /TABLE prov_res [C] BY edadm [C] > con_pren [S][MEAN]
  /CATEGORIES VARIABLES=prov_res ['01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', 
    '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24', '88', OTHERNM] 
    EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=edadm [1, 2, 3, 4, 5, 6, 7, 8, 9, OTHERNM] EMPTY=EXCLUDE TOTAL=YES 
    POSITION=BEFORE.

filter off.

***** Cuadro No. 3.1.22
*: Nacidos Vivos,  por bajo peso al nacer y lugar de residencia habitual de la madre
*----------------------------------------------------------------------------------------------------------------------------.

COMPUTE filter_$=(anio_nac = 2019 & (peso >= 500  & peso <= 2499)).
VARIABLE LABEL filter_$ 'anio_nac = 2019 & (peso >= 500  &  peso <= 2499) (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

NUMERIC pesogrupo(f1.0).

if(peso>=500 and peso<=999) pesogrupo=1.
if(peso>=1000 and peso<=1499) pesogrupo=2.
if(peso>=1500 and peso<=1999) pesogrupo=3.
if(peso>=2000 and peso<=2499) pesogrupo=4.

execute.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

value labels
/pesogrupo 
1 'De 500 g a 999 g'
2 'De 1000 g a 1499 g'
3 'De 1500 g a 1999 g'
4 'De 2000 g a 2499 g'.

NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res= 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
exe.

compute t=1.

* Etiquetar variables y valores de las variables
*------------------------------------------------------------------.

VALUE LABELS
t       1 ' '
/reg_res  
 1 'Región Sierra'
	2 'Región Costa'
	3 'Región Amazónica'
	4 'Región Insular'
	5 'Zona No Delimitada'
	6 'Exterior' .

var label
t      'Total'.

* realizar el cuadro o cuadros

TABLES
/TABLE (t + reg_res) > (t +prov_res) by (t + pesogrupo)
/TITLE 'Cuadro No. 3.1.22 Nacidos Vivos, por bajo peso al nacer según región y provincia de residencia habitual de la madre'
/Caption ='Anuario Estadisticas Vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.

filter off.

***** Cuadro 3.1.23 Nacidos Vivos,según lugar de residencia y etnia de la madre****.

if (anio_nac =2019) oport = 1. 
execute. 

filter by oport.

value labels
t       1 'Total ' .

variable labels
t      'Total' .

TABLES
/TABLE (t + prov_res) > (t + cant_res) by (t+etnia)
/TITLE 'Cuadro No. 3.1.23 Defunciones fetales, según lugar de residencia y etnia de la madre'
/Caption ='Anuario estadisticas vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.

filter OFF.

*****CUADRO 3.1.24
***** Nacidos Vivos,según lugar de residencia y estado civil de la madre****.
if (anio_nac=2019) oport = 1. 
execute. 

filter by oport.

value labels
t       1 'Total ' .

variable labels
t      'Total' .

TABLES
/TABLE (t + prov_res) > (t + cant_res) by (t+est_civil)
/TITLE 'Cuadro No. 3.1.24 Nacidos Vivos, según lugar de residencia y estado civil de la madre'
/Caption ='Anuario estadisticas vitales - Nacidos Vivos INEC 2019' 
/CORNER ' '.

filter OFF.



